#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/preinstall.sh - libwxbaseu2.8 preinstallation
#
# Creation   :  2008-05-27 holbru
# Last update:  $Id: preinstall.sh 664 2008-05-27 20:34:57Z holbru $
#
# Copyright (c) 2001-2008 the eisfair team, team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set packages name
packages_name=libwxbaseu2.8

#----------------------------------------------------------------------------
# Delete NOT allowed OLD deinstall scripts
#----------------------------------------------------------------------------
if [ -f "/var/install/deinstall/${packages_name}" ]
then
    rm -f /var/install/deinstall/${packages_name}
fi

#----------------------------------------------------------------------------
# remove links and libs for the same older versions
#----------------------------------------------------------------------------
rm -f /usr/lib/libwx_baseu*2.8.so.*

#----------------------------------------------------------------------------
# remove link ${packages_name}.so when the dev packages is not installed
#----------------------------------------------------------------------------
if [ ! -f "/var/install/packages/${packages_name}-dev" ]
then
    rm -f /usr/lib/libwx_baseu*2.8.so
fi

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
